# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    dolphin
%define version 0.8.1
%define release 1.2007mcnl
%define summary File manager for KDE
%define section More Applications


Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://enzosworld.gmxhome.de/
License:        GPL
Group:          Graphics

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel libkdebase4-devel


%description
Dolphin is a file manager for KDE focusing on usability. 

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

rm -rf %{buildroot}%{_datadir}/locale/%{name}

#icons
%define  nameicon src/hi128-app-dolphin.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Dolfin" \
longtitle="%summary"
EOF

desktop-file-install --vendor="" \
  --add-category="Qt;KDE" \
  --add-category="X-MandrivaLinux-MoreApplications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde/ $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc COPYING AUTHORS

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png

%{_bindir}/%{name}

%{_datadir}/apps/%{name}/*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/doc/HTML/*/%{name}

%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog 
*Sat Jan 06 2007 Marco Meijer <marco@mandrivaclub.nl> 0.8.1-1.2006mcnl
new version

*Sat Dec 24 2006 Marco Meijer <marco@mandrivaclub.nl> 0.8.0-1.2006mcnl
new version

*Sun Oct 23 2006 Marco Meijer <marco@mandrivaclub.nl> 0.7.0-1.2006mcnl
new version

*Tue Jun 20 2006 Marco Meijer <marco@mandrivaclub.nl> 0.5.2-1.2006mcnl
new version

*Tue Jun 14 2006 Marco Meijer <marco@mandrivaclub.nl> 0.5.1-1.2006mcnl
new version

*Sun Jun 11 2006 Marco Meijer <marco@mandrivaclub.nl> 0.5-1.2006mcnl
first build for mandrivaclub.nl


